Home » Infrastructure » Linux » rpm installation problem for installing Oracle 12c on Oracle linux 5.3 (Oracle 12c,Oracle Linux 5.3 x86-64)
rpm installation problem for installing Oracle 12c on Oracle linux 5.3 [message #613331] Mon, 05 May 2014 02:31 Go to next message
kakakoko
Messages: 22
Registered: March 2014
Junior Member
Hi

I wanted to installing oracle 12c on oracle linux 5.3(64 bit), but during installation the message of OUI shows that 2 package should be installed.

Package: glibc-2.5-58.x86_64
Package: nfs-utils-1.0.9-60

I downloaded these packages, But I could not to install it, the error message are as follow:

[root@host rpms]rpm -ivh glibc-2.5-58.x86_64.rpm
warning: glibc-2.5-58.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
error: Failed dependencies:
        glibc-common = 2.5-58 is needed by glibc-2.5-58.x86_64


According to this message I ran following command :

[root@host rpms]rpm -Uvh glibc-common-2.5-58.x86_64.rpm
warning: glibc-common-2.5-58.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
error: Failed dependencies:
        glibc-common = 2.5-42 is needed by (installed) glibc-2.5-42.i686
        glibc-common = 2.5-42 is needed by (installed) glibc-2.5-42.x86_64

and

[root@host rpms]rpm -ivh glibc-2.5-42.i686.rpm
warning: glibc-2.5-42.i686.rpm: Header V3 DSA signature: NOKEY, key ID 1e5e0159
Preparing...                ########################################### [100%]
        package glibc-2.5-42.i686 is already installed



How can I resolve this problem?


Re: rpm installation problem for installing Oracle 12c on Oracle linux 5.3 [message #613332 is a reply to message #613331] Mon, 05 May 2014 02:55 Go to previous messageGo to next message
ThomasG
Messages: 3211
Registered: April 2005
Location: Heilbronn, Germany
Senior Member
When all else fails, follow the Installation Guide.

It has a detailed explanation on which packages to install via yum from which repositories.
Re: rpm installation problem for installing Oracle 12c on Oracle linux 5.3 [message #617403 is a reply to message #613332] Sun, 29 June 2014 05:50 Go to previous message
dancko
Messages: 95
Registered: June 2013
Location: italy
Member
To resolve package dependencies the only (automatic) way is to use Yum command... but it requires the internet connection.

Otherwise at hands, but I do not advice you to do it.

[Updated on: Sun, 29 June 2014 09:00]

Report message to a moderator

Previous Topic: 11g Installation problem in rhel 5.4 64 bit.
Next Topic: oracle 10g r2 installation error at 65% on OEL 6.4
Goto Forum:
  


Current Time: Sun Jan 17 19:56:37 CST 2021